<?php

namespace App\Controllers\Admin;


use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

use App\Services\MyLogService;
use App\Helpers\MyLogHelper;

class MyLogController extends AdminController
{
    private $_helper = null;
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->content_title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    final public function getService(): MyLogService
    {
        if (!$this->_service) {
            $this->_service = new MyLogService();
        }
        return $this->_service;
    }
    public function getHelper(): MyLogHelper
    {
        if (!$this->_helper) {
            $this->_helper = new MyLogHelper();
        }
        return $this->_helper;
    }
    //Index,FieldForm관련
}
